Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class TimeDatatype

    java.lang.Object
      org.teleal.cling.model.types.AbstractDatatype<Long>
          org.teleal.cling.model.types.TimeDatatype

All Implemented Interfaces:
  Datatype<Long>

    public class TimeDatatype

extends AbstractDatatype<Long>

Nested Class Summary

Nested classes/interfaces inherited from interface org.teleal.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Field Summary
`protected String[]` | `readFormats`
`protected String` | `writeFormat`

Constructor Summary
`TimeDatatype(String[] readFormats, String writeFormat)`

Method Summary
`Long` | `fromString(String s)`
`protected Date` | `getDateValue(String value, String[] formats)`
`Long` | `getDefaultValue()`
`String` | `getString(Long value)`
`protected TimeZone` | `getTimeZone()`
`boolean` | `isValid(Long value)`
`protected String` | `normalizeTimeZone(String value)`

Methods inherited from class org.teleal.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, getValueType, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### readFormats

    protected String[] readFormats

### writeFormat

    protected String writeFormat

Constructor Detail

### TimeDatatype

    public TimeDatatype(String[] readFormats,
                        String writeFormat)

Method Detail

### fromString

    public Long fromString(String s)
                    throws InvalidValueException

  Throws:
    `InvalidValueException`

### isValid

    public boolean isValid(Long value)

  Specified by:
    `isValid` in interface `Datatype<Long>`
  Overrides:
    `isValid` in class `AbstractDatatype<Long>`

### getString

    public String getString(Long value)
                     throws InvalidValueException

  Specified by:
    `getString` in interface `Datatype<Long>`
  Overrides:
    `getString` in class `AbstractDatatype<Long>`
  Throws:
    `InvalidValueException`

### normalizeTimeZone

    protected String normalizeTimeZone(String value)

### getDateValue

    protected Date getDateValue(String value,
                                String[] formats)

### getTimeZone

    protected TimeZone getTimeZone()

### getDefaultValue

    public Long getDefaultValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.